#!/bin/sh

. /usr/lib/tuned/functions

start() {
	enable_transparent_hugepages

	for d in {a,b,c,d,e,f}; do
		echo deadline > /sys/block/sd${d}/queue/scheduler
		echo 350 > /sys/block/sd${d}/queue/iosched/read_expire
		echo 32 > /sys/block/sd${d}/queue/iosched/fifo_batch
		echo 4 > /sys/block/sd${d}/queue/iosched/writes_starved
		echo 4096 > /sys/block/sd${d}/queue/read_ahead_kb
		echo 4096 > /sys/block/sd${d}/queue/nr_requests
	done
	return 0
}

stop() {
	restore_transparent_hugepages

	for d in {a,b,c,d,e,f}; do
		echo 500 > /sys/block/sd${d}/queue/iosched/read_expire
		echo 16 > /sys/block/sd${d}/queue/iosched/fifo_batch
		echo 2 > /sys/block/sd${d}/queue/iosched/writes_starved
	done
	return 0
}

process $@
